> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reports

> B1 — list/filter reports (cursor pagination).



## OpenAPI

````yaml /openapi.json get /v1/reports
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/reports:
    get:
      tags:
        - reports
      summary: List Reports
      description: B1 — list/filter reports (cursor pagination).
      operationId: list_reports_v1_reports_get
      parameters:
        - in: query
          name: type
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Type
        - in: query
          name: status
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - in: query
          name: format
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Format
        - in: query
          name: created_by
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created By
        - in: query
          name: q
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Q
        - in: query
          name: sort
          required: false
          schema:
            default: '-created_at'
            title: Sort
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 25
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
        - in: query
          name: cursor
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Cursor
      responses:
        '200':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response List Reports V1 Reports Get
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````